<template>
  <h1>Componente Button</h1>

  <h2>Ênfase</h2>
  <div class="row">
    <div class="col">
      <br-button label="Primário" type="primary" icon="home"></br-button>
    </div>
    <div class="col">
      <br-button label="Secundário" type="secondary" icon="times" class="ml-1"></br-button>
    </div>
    <div class="col">
      <br-button label="Terciário" type="tertiary" icon="home" class="ml-1"></br-button>
    </div>
  </div>

  <h2>Conteúdo usando slot</h2>
  <div class="row">
    <div class="col">
      <br-button id="primary-01" label="Primário" type="primary" circle>
        <br-icon-base icon-name="user"></br-icon-base>
      </br-button>
    </div>
  </div>

  <h2>Invertido</h2>
  <div class="row">
    <div class="col">
      <br-button inverted label="Primário" type="primary" icon="city"></br-button>
    </div>
    <div class="col">
      <br-button inverted label="Secundário" type="secondary" icon="city" class="ml-1"></br-button>
    </div>
    <div class="col">
      <br-button inverted label="Terciário" type="tertiary" icon="city" class="ml-1"></br-button>
    </div>
  </div>

  <h2>Densidade</h2>
  <div class="row">
    <div class="col">
      <br-button label="Alta" type="primary" density="large" class="ml-1"></br-button>
    </div>
    <div class="col">
      <br-button label="Media" type="primary" density="middle" class="ml-1"></br-button>
    </div>
    <div class="col">
      <br-button label="Baixa" type="primary" density="small" class="ml-1"></br-button>
    </div>
  </div>

  <h2>Estados</h2>
  <div class="row">
    <div class="col">
      <br-button label="Desativado" type="primary" disabled></br-button>
    </div>
    <div class="col">
      <br-button label="Ativado" type="secondary" active></br-button>
    </div>
    <div class="col">
      <br-button id="loading-01" type="secondary" loading> Carregando </br-button>
    </div>
  </div>
</template>
